<?php
$tdataj_case_03 = array();
$tdataj_case_03[".searchableFields"] = array();
$tdataj_case_03[".ShortName"] = "j_case_03";
$tdataj_case_03[".OwnerID"] = "";
$tdataj_case_03[".OriginalTable"] = "j_case_03";


$tdataj_case_03[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdataj_case_03[".originalPagesByType"] = $tdataj_case_03[".pagesByType"];
$tdataj_case_03[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdataj_case_03[".originalPages"] = $tdataj_case_03[".pages"];
$tdataj_case_03[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdataj_case_03[".originalDefaultPages"] = $tdataj_case_03[".defaultPages"];

//	field labels
$fieldLabelsj_case_03 = array();
$fieldToolTipsj_case_03 = array();
$pageTitlesj_case_03 = array();
$placeHoldersj_case_03 = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsj_case_03["English"] = array();
	$fieldToolTipsj_case_03["English"] = array();
	$placeHoldersj_case_03["English"] = array();
	$pageTitlesj_case_03["English"] = array();
	$fieldLabelsj_case_03["English"]["numPers"] = "Num Pers";
	$fieldToolTipsj_case_03["English"]["numPers"] = "";
	$placeHoldersj_case_03["English"]["numPers"] = "";
	$fieldLabelsj_case_03["English"]["vote"] = "إقترع";
	$fieldToolTipsj_case_03["English"]["vote"] = "";
	$placeHoldersj_case_03["English"]["vote"] = "";
	$fieldLabelsj_case_03["English"]["firstName"] = "الإسم";
	$fieldToolTipsj_case_03["English"]["firstName"] = "";
	$placeHoldersj_case_03["English"]["firstName"] = "";
	$fieldLabelsj_case_03["English"]["fatherName"] = "إسم الأب";
	$fieldToolTipsj_case_03["English"]["fatherName"] = "";
	$placeHoldersj_case_03["English"]["fatherName"] = "";
	$fieldLabelsj_case_03["English"]["lastName"] = "الشهرة";
	$fieldToolTipsj_case_03["English"]["lastName"] = "";
	$placeHoldersj_case_03["English"]["lastName"] = "";
	$fieldLabelsj_case_03["English"]["motherName"] = "إسم الأم";
	$fieldToolTipsj_case_03["English"]["motherName"] = "";
	$placeHoldersj_case_03["English"]["motherName"] = "";
	$fieldLabelsj_case_03["English"]["numRegister"] = "رقم  السجل";
	$fieldToolTipsj_case_03["English"]["numRegister"] = "";
	$placeHoldersj_case_03["English"]["numRegister"] = "";
	$fieldLabelsj_case_03["English"]["sortNbr"] = "متسلسل";
	$fieldToolTipsj_case_03["English"]["sortNbr"] = "";
	$placeHoldersj_case_03["English"]["sortNbr"] = "";
	$fieldLabelsj_case_03["English"]["repairList"] = "تصحيح اللائحة";
	$fieldToolTipsj_case_03["English"]["repairList"] = "";
	$placeHoldersj_case_03["English"]["repairList"] = "";
	$pageTitlesj_case_03["English"]["list"] = "الجديدة 3";
	$pageTitlesj_case_03["English"]["print"] = "الجديدة 3";
	$pageTitlesj_case_03["English"]["search"] = "الجديدة 3 - Advanced search";
	if (count($fieldToolTipsj_case_03["English"]))
		$tdataj_case_03[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsj_case_03["Arabic"] = array();
	$fieldToolTipsj_case_03["Arabic"] = array();
	$placeHoldersj_case_03["Arabic"] = array();
	$pageTitlesj_case_03["Arabic"] = array();
	$fieldLabelsj_case_03["Arabic"]["numPers"] = "Num Pers";
	$fieldToolTipsj_case_03["Arabic"]["numPers"] = "";
	$placeHoldersj_case_03["Arabic"]["numPers"] = "";
	$fieldLabelsj_case_03["Arabic"]["vote"] = "إقترع";
	$fieldToolTipsj_case_03["Arabic"]["vote"] = "";
	$placeHoldersj_case_03["Arabic"]["vote"] = "";
	$fieldLabelsj_case_03["Arabic"]["firstName"] = "الإسم";
	$fieldToolTipsj_case_03["Arabic"]["firstName"] = "";
	$placeHoldersj_case_03["Arabic"]["firstName"] = "";
	$fieldLabelsj_case_03["Arabic"]["fatherName"] = "إسم الأب";
	$fieldToolTipsj_case_03["Arabic"]["fatherName"] = "";
	$placeHoldersj_case_03["Arabic"]["fatherName"] = "";
	$fieldLabelsj_case_03["Arabic"]["lastName"] = "الشهرة";
	$fieldToolTipsj_case_03["Arabic"]["lastName"] = "";
	$placeHoldersj_case_03["Arabic"]["lastName"] = "";
	$fieldLabelsj_case_03["Arabic"]["motherName"] = "إسم الأم";
	$fieldToolTipsj_case_03["Arabic"]["motherName"] = "";
	$placeHoldersj_case_03["Arabic"]["motherName"] = "";
	$fieldLabelsj_case_03["Arabic"]["numRegister"] = "رقم السجل";
	$fieldToolTipsj_case_03["Arabic"]["numRegister"] = "";
	$placeHoldersj_case_03["Arabic"]["numRegister"] = "";
	$fieldLabelsj_case_03["Arabic"]["sortNbr"] = "متسلسل";
	$fieldToolTipsj_case_03["Arabic"]["sortNbr"] = "";
	$placeHoldersj_case_03["Arabic"]["sortNbr"] = "";
	$fieldLabelsj_case_03["Arabic"]["repairList"] = "تصحيح اللائحة";
	$fieldToolTipsj_case_03["Arabic"]["repairList"] = "";
	$placeHoldersj_case_03["Arabic"]["repairList"] = "";
	$pageTitlesj_case_03["Arabic"]["list"] = "الجديدة 3";
	$pageTitlesj_case_03["Arabic"]["print"] = "الجديدة 3";
	$pageTitlesj_case_03["Arabic"]["search"] = "الجديدة 3 - بحث متقدم";
	if (count($fieldToolTipsj_case_03["Arabic"]))
		$tdataj_case_03[".isUseToolTips"] = true;
}


	$tdataj_case_03[".NCSearch"] = true;



$tdataj_case_03[".shortTableName"] = "j_case_03";
$tdataj_case_03[".nSecOptions"] = 0;

$tdataj_case_03[".mainTableOwnerID"] = "";
$tdataj_case_03[".entityType"] = 0;
$tdataj_case_03[".connId"] = "electiondb_at_ssl_localhost";


$tdataj_case_03[".strOriginalTableName"] = "j_case_03";

	



$tdataj_case_03[".showAddInPopup"] = false;

$tdataj_case_03[".showEditInPopup"] = false;

$tdataj_case_03[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataj_case_03[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataj_case_03[".listAjax"] = false;
//	temporary
$tdataj_case_03[".listAjax"] = false;

	$tdataj_case_03[".audit"] = false;

	$tdataj_case_03[".locking"] = false;


$pages = $tdataj_case_03[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataj_case_03[".edit"] = true;
	$tdataj_case_03[".afterEditAction"] = 1;
	$tdataj_case_03[".closePopupAfterEdit"] = 1;
	$tdataj_case_03[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataj_case_03[".add"] = true;
$tdataj_case_03[".afterAddAction"] = 1;
$tdataj_case_03[".closePopupAfterAdd"] = 1;
$tdataj_case_03[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataj_case_03[".list"] = true;
}



$tdataj_case_03[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataj_case_03[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataj_case_03[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataj_case_03[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataj_case_03[".printFriendly"] = true;
}



$tdataj_case_03[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataj_case_03[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataj_case_03[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataj_case_03[".isUseAjaxSuggest"] = true;

$tdataj_case_03[".rowHighlite"] = true;





$tdataj_case_03[".ajaxCodeSnippetAdded"] = false;

$tdataj_case_03[".buttonsAdded"] = false;

$tdataj_case_03[".addPageEvents"] = false;

// use timepicker for search panel
$tdataj_case_03[".isUseTimeForSearch"] = false;


$tdataj_case_03[".badgeColor"] = "CFAE83";


$tdataj_case_03[".allSearchFields"] = array();
$tdataj_case_03[".filterFields"] = array();
$tdataj_case_03[".requiredSearchFields"] = array();

$tdataj_case_03[".googleLikeFields"] = array();
$tdataj_case_03[".googleLikeFields"][] = "sortNbr";
$tdataj_case_03[".googleLikeFields"][] = "numPers";
$tdataj_case_03[".googleLikeFields"][] = "vote";
$tdataj_case_03[".googleLikeFields"][] = "firstName";
$tdataj_case_03[".googleLikeFields"][] = "fatherName";
$tdataj_case_03[".googleLikeFields"][] = "lastName";
$tdataj_case_03[".googleLikeFields"][] = "motherName";
$tdataj_case_03[".googleLikeFields"][] = "numRegister";
$tdataj_case_03[".googleLikeFields"][] = "repairList";



$tdataj_case_03[".tableType"] = "list";

$tdataj_case_03[".printerPageOrientation"] = 0;
$tdataj_case_03[".nPrinterPageScale"] = 100;

$tdataj_case_03[".nPrinterSplitRecords"] = 40;

$tdataj_case_03[".geocodingEnabled"] = false;










$tdataj_case_03[".pageSize"] = 20;

$tdataj_case_03[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataj_case_03[".strOrderBy"] = $tstrOrderBy;

$tdataj_case_03[".orderindexes"] = array();


$tdataj_case_03[".sqlHead"] = "SELECT sortNbr,  	numPers,  	vote,  	firstName,  	fatherName,  	lastName,  	motherName,  	numRegister,  	repairList";
$tdataj_case_03[".sqlFrom"] = "FROM j_case_03";
$tdataj_case_03[".sqlWhereExpr"] = "";
$tdataj_case_03[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataj_case_03[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataj_case_03[".arrGroupsPerPage"] = $arrGPP;

$tdataj_case_03[".highlightSearchResults"] = true;

$tableKeysj_case_03 = array();
$tableKeysj_case_03[] = "numPers";
$tdataj_case_03[".Keys"] = $tableKeysj_case_03;


$tdataj_case_03[".hideMobileList"] = array();




//	sortNbr
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "sortNbr";
	$fdata["GoodName"] = "sortNbr";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","sortNbr");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "sortNbr";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "sortNbr";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["sortNbr"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "sortNbr";
//	numPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numPers";
	$fdata["GoodName"] = "numPers";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","numPers");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "numPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["numPers"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "numPers";
//	vote
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "vote";
	$fdata["GoodName"] = "vote";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","vote");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "vote";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "vote";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "YES";
	$edata["LookupValues"][] = "NO";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["vote"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "vote";
//	firstName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "firstName";
	$fdata["GoodName"] = "firstName";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","firstName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "firstName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "firstName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["firstName"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "firstName";
//	fatherName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "fatherName";
	$fdata["GoodName"] = "fatherName";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","fatherName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "fatherName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "fatherName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["fatherName"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "fatherName";
//	lastName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "lastName";
	$fdata["GoodName"] = "lastName";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","lastName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "lastName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "lastName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["lastName"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "lastName";
//	motherName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "motherName";
	$fdata["GoodName"] = "motherName";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","motherName");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "motherName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "motherName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["motherName"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "motherName";
//	numRegister
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "numRegister";
	$fdata["GoodName"] = "numRegister";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","numRegister");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "numRegister";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numRegister";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["numRegister"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "numRegister";
//	repairList
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "repairList";
	$fdata["GoodName"] = "repairList";
	$fdata["ownerTable"] = "j_case_03";
	$fdata["Label"] = GetFieldLabel("j_case_03","repairList");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "repairList";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "repairList";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=30";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataj_case_03["repairList"] = $fdata;
		$tdataj_case_03[".searchableFields"][] = "repairList";


$tables_data["j_case_03"]=&$tdataj_case_03;
$field_labels["j_case_03"] = &$fieldLabelsj_case_03;
$fieldToolTips["j_case_03"] = &$fieldToolTipsj_case_03;
$placeHolders["j_case_03"] = &$placeHoldersj_case_03;
$page_titles["j_case_03"] = &$pageTitlesj_case_03;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["j_case_03"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["j_case_03"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_j_case_03()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "sortNbr,  	numPers,  	vote,  	firstName,  	fatherName,  	lastName,  	motherName,  	numRegister,  	repairList";
$proto0["m_strFrom"] = "FROM j_case_03";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "sortNbr",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto6["m_sql"] = "sortNbr";
$proto6["m_srcTableName"] = "j_case_03";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numPers",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto8["m_sql"] = "numPers";
$proto8["m_srcTableName"] = "j_case_03";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "vote",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto10["m_sql"] = "vote";
$proto10["m_srcTableName"] = "j_case_03";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "firstName",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto12["m_sql"] = "firstName";
$proto12["m_srcTableName"] = "j_case_03";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "fatherName",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto14["m_sql"] = "fatherName";
$proto14["m_srcTableName"] = "j_case_03";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "lastName",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto16["m_sql"] = "lastName";
$proto16["m_srcTableName"] = "j_case_03";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "motherName",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto18["m_sql"] = "motherName";
$proto18["m_srcTableName"] = "j_case_03";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "numRegister",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto20["m_sql"] = "numRegister";
$proto20["m_srcTableName"] = "j_case_03";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "repairList",
	"m_strTable" => "j_case_03",
	"m_srcTableName" => "j_case_03"
));

$proto22["m_sql"] = "repairList";
$proto22["m_srcTableName"] = "j_case_03";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "j_case_03";
$proto25["m_srcTableName"] = "j_case_03";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "sortNbr";
$proto25["m_columns"][] = "numPers";
$proto25["m_columns"][] = "vote";
$proto25["m_columns"][] = "firstName";
$proto25["m_columns"][] = "fatherName";
$proto25["m_columns"][] = "lastName";
$proto25["m_columns"][] = "motherName";
$proto25["m_columns"][] = "numRegister";
$proto25["m_columns"][] = "repairList";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "j_case_03";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "j_case_03";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="j_case_03";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_j_case_03 = createSqlQuery_j_case_03();


	
		;

									

$tdataj_case_03[".sqlquery"] = $queryData_j_case_03;



$tableEvents["j_case_03"] = new eventsBase;
$tdataj_case_03[".hasEvents"] = false;

?>